Subject: Re: bug#65685: 29.1; Inconsistent behavior of quoted file name "/:~" across platforms

From: Eli Zaretskii <[email-masked]>
Date: Sun, 15 Oct 2023 12:36:00 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 15 Oct 2023 09:11:19 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> Hi Eli,
> 
> >> >> The only difference I could think of is that the directory Emacs uses
> >> >> here has whitespace in its name (see my original report), whereas on
> >> >> Windows 10 it probably doesn't.
> >> >
> >> > FTR, if I use a directory with spaces in its name, it fails for me as
> >> > well. I'm now debugging ...
> >>
> >> It looks, like it is a problem in the test case code
> >> itself. abbreviate-file-name does not work as I expect in this
> >> combination.
> >
> > Can you tell more about this?  I'm surprised any file-related
> > primitive in Emacs cares about whitespace in file names.
> 
> Perhaps we have uncovered a bug in abbreviate-file-name, don't
> know. I'll check when time permits.

I'd like to understand this sooner rather than latter.  Can you show
some simple recipe which fails under these conditions?

> However, it isn't related to the change in question of this bug report,
> handling expand-file-name for constructs like "/:~..." and
> "/ssh:host:/:~...".  abbreviate-file-name has been used to create a
> temporary test file for this case, it isn't target of the test itself.

I applied your changes to the test, and it passes after that, thanks.